# Interface FailableDoublePredicate<E extends Throwable>

Type Parameters:
  `E` - The kind of thrown exception or error.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface FailableDoublePredicate<E extends Throwable>
A functional interface like `DoublePredicate` that declares a `Throwable`.

Since:
  3.11

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FailableDoublePredicate`
  `FALSE`
  FALSE singleton
  `static final FailableDoublePredicate`
  `TRUE`
  TRUE singleton

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default FailableDoublePredicate<E>`
  `and(FailableDoublePredicate<E> other)`
  Returns a composed `FailableDoublePredicate` like `DoublePredicate.and(DoublePredicate)`.
  `static <E extends Throwable>
  FailableDoublePredicate<E>`
  `falsePredicate()`
  Gets the FALSE singleton.
  `default FailableDoublePredicate<E>`
  `negate()`
  Returns a predicate that negates this predicate.
  `default FailableDoublePredicate<E>`
  `or(FailableDoublePredicate<E> other)`
  Returns a composed `FailableDoublePredicate` like `DoublePredicate.and(DoublePredicate)`.
  `boolean`
  `test(double value)`
  Tests the predicate.
  `static <E extends Throwable>
  FailableDoublePredicate<E>`
  `truePredicate()`
  Gets the TRUE singleton.

- ## Field Details

  - ### FALSE

    static final FailableDoublePredicate FALSE
    FALSE singleton

  - ### TRUE

    static final FailableDoublePredicate TRUE
    TRUE singleton

- ## Method Details

  - ### falsePredicate

    static <E extends Throwable> FailableDoublePredicate<E> falsePredicate()
    Gets the FALSE singleton.
    Type Parameters:
      `E` - The kind of thrown exception or error.
    Returns:
      The NOP singleton.

  - ### truePredicate

    static <E extends Throwable> FailableDoublePredicate<E> truePredicate()
    Gets the TRUE singleton.
    Type Parameters:
      `E` - The kind of thrown exception or error.
    Returns:
      The NOP singleton.

  - ### and

    default FailableDoublePredicate<E> and(FailableDoublePredicate<E> other)
    Returns a composed `FailableDoublePredicate` like `DoublePredicate.and(DoublePredicate)`.
    Parameters:
      `other` - a predicate that will be logically-ANDed with this predicate.
    Returns:
      a composed `FailableDoublePredicate` like `DoublePredicate.and(DoublePredicate)`.
    Throws:
      `NullPointerException` - if other is null

  - ### negate

    default FailableDoublePredicate<E> negate()
    Returns a predicate that negates this predicate.
    Returns:
      a predicate that negates this predicate.

  - ### or

    default FailableDoublePredicate<E> or(FailableDoublePredicate<E> other)
    Returns a composed `FailableDoublePredicate` like `DoublePredicate.and(DoublePredicate)`.
    Parameters:
      `other` - a predicate that will be logically-ORed with this predicate.
    Returns:
      a composed `FailableDoublePredicate` like `DoublePredicate.and(DoublePredicate)`.
    Throws:
      `NullPointerException` - if other is null

  - ### test

    boolean test(double value) throws E
    Tests the predicate.
    Parameters:
      `value` - the parameter for the predicate to accept.
    Returns:
      `true` if the input argument matches the predicate, `false` otherwise.
    Throws:
      `E` - Thrown when the consumer fails.